export interface MessageList {
  [key: string]: string;
}

export const messages: { [lang: string]: MessageList } = {
  'zh-Hant': {
    srcwarn: '警告！修改或刪除這個訊息後面的內容將會導致未經預處理的 CSS (LESS/SCSS) 原始碼損毀甚至丟失。',
    mode_scss: '切換至 SCSS 模式',
    mode_less: '切換至 LESS 模式',
    mode_hint: '%s 模式（按下 F1 以切換）',
    processing: '處理中...'
  },
  'zh-Hant-HK': {
    srcwarn: '警告！改或者鏟呢個訊息後面嘅內容係會搞到未預處理過嘅 CSS (LESS/SCSS) 原始碼損毀甚至唔見曬。',
    mode_scss: '切換去 SCSS 模式',
    mode_less: '切換去 LESS 模式',
    mode_hint: '%s 模式（撳 F1 可以轉）',
    processing: '處理緊...'
  },
  'zh-Hans-CN': {
    srcwarn: '警告！修改或删除这个消息后面的内容将会导致未经预处理的 CSS (LESS/SCSS) 原代码损毁甚至丢失。',
    mode_scss: '切换至 SCSS 模式',
    mode_less: '切换至 LESS 模式',
    mode_hint: '%s 模式（按下 F1 以切换）',
    processing: '处理中...'
  },
  'ja': {
    srcwarn: '警告！このメッセージの後に内容を編集または削除すると、すべての CSS プリプロセッサソースコード (LESS/SCSS) が破損する可能性があります。',
    mode_scss: 'SCSS モードに切り替える',
    mode_less: 'LESS モードに切り替える',
    mode_hint: '%s モード（F1 キーを押して変更）',
    processing: '処理中...'
  },
  'ko': {
    srcwarn: '경고! 이 메시지 뒤에 내용을 편집하거나 제거하면 모든 CSS 전처리 기 소스 코드 (LESS/SCSS) 가 손상 될 수 있습니다.',
    mode_scss: 'SCSS 모드로 전환',
    mode_less: 'LESS 모드로 전환',
    mode_hint: '%s 모드 (F1 을 누르면 변경)',
    processing: '처리 중...'
  },
  'ru': {
    srcwarn: 'Предупреждение! Редактирование или удаление содержимого после этого сообщения может повредить все исходные коды препроцессора CSS (LESS/SCSS).',
    mode_scss: 'Переключиться в режим SCSS',
    mode_less: 'Переключиться в режим LESS',
    mode_hint: 'Режим %s (нажмите F1 для изменения)',
    processing: 'В процессе...'
  },
  'en': {
    srcwarn: 'Warning! Editing or removing contents after this message may damage all CSS preprocessor source codes (LESS/SCSS).',
    mode_scss: 'Switch to SCSS mode',
    mode_less: 'Switch to LESS mode',
    mode_hint: '%s mode (hit F1 to change)',
    processing: 'In processing...'
  },
  'fr': {
    srcwarn: 'Attention! L\'édition ou la suppression du contenu après ce message peut endommager tous les codes sources du préprocesseur CSS (LESS/SCSS).',
    mode_scss: 'Passer en mode SCSS',
    mode_less: 'Passer en mode LESS',
    mode_hint: '',
    processing: 'Dans le traitement...'
  },
  'de': {
    srcwarn: 'Warnung! Das Bearbeiten oder Entfernen von Inhalten nach dieser Nachricht kann alle Quellcodes des CSS-Präprozessors (LESS/SCSS) beschädigen.',
    mode_scss: 'Wechseln Sie in den SCSS-Modus',
    mode_less: 'Wechseln Sie in den LESS-Modus',
    mode_hint: '%s-Modus (drücken Sie F1 zum Ändern)',
    processing: 'In Bearbeitung...'
  },
  'it': {
    srcwarn: 'Avvertimento! La modifica o la rimozione di contenuti dopo questo messaggio può danneggiare tutti i codici sorgente del preprocessore CSS (LESS/SCSS).',
    mode_scss: 'Passa alla modalità SCSS',
    mode_less: 'Passa alla modalità LESS',
    mode_hint: 'Modalità %s (premi F1 per cambiare)',
    processing: 'In lavorazione...'
  },
  'es': {
    srcwarn: '¡Advertencia! La edición o eliminación de contenido después de este mensaje puede dañar todos los códigos fuente del preprocesador CSS (LESS/SCSS).',
    mode_scss: 'Cambiar al modo SCSS',
    mode_less: 'Cambiar al modo LESS',
    mode_hint: 'Modo %s (presione F1 para cambiar)',
    processing: 'En proceso...'
  },
  'pt-br': {
    srcwarn: 'Atenção! Editar ou remover conteúdo após essa mensagem pode danificar todos os códigos-fonte do pré-processador CSS (LESS/SCSS).',
    mode_scss: 'Mude para o modo SCSS',
    mode_less: 'Mude para o modo LESS',
    mode_hint: 'Modo %s (toque F1 para mudar)',
    processing: 'Em processo...'
  },
  'hu': {
    srcwarn: 'Figyelem! Az üzenet utáni tartalom szerkesztése vagy eltávolítása károsíthatja a CSS előfeldolgozó forráskódokat (LESS/SCSS).',
    mode_scss: 'Váltás SCSS módba',
    mode_less: 'Váltás LESS módba',
    mode_hint: '%s mód (nyomja meg az F1-et a változtatáshoz)',
    processing: 'Feldolgozás alatt...'
  },
  'tr': {
    srcwarn: 'Uyarı! Bu mesajdan sonra içerikleri düzenlemek veya kaldırmak tüm CSS önişlemci kaynak kodlarına (LESS/SCSS) zarar verebilir.',
    mode_scss: 'SCSS moduna geç',
    mode_less: 'LESS moduna geç',
    mode_hint: '%s modu (değiştirmek için F1 tuşuna basın)',
    processing: 'İşlemde...'
  }
};